# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_AsciiString Class Reference

Used to define an AsciiString attribute containing a TCollection_AsciiString
.

`#include <TDataStd_AsciiString.hxx>`

Inheritance diagram for TDataStd_AsciiString:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_AsciiString ()
Standard_EXPORT void | Set (const TCollection_AsciiString &S)
Standard_EXPORT const TCollection_AsciiString & | Get () const
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods ============= //! Returns the GUID of the attribute.
static Standard_EXPORT Handle_TDataStd_AsciiString | Set (const TDF_Label &label, const TCollection_AsciiString &string)
| Finds, or creates an AsciiString attribute and sets the string. the AsciiString attribute is returned. //! AsciiString methods =================== .

## Private Attributes

TCollection_AsciiString | myString

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_AsciiString::TDataStd_AsciiString | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_AsciiString::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT const TCollection_AsciiString& TDataStd_AsciiString::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_AsciiString::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_AsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_AsciiString::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TDataStd_AsciiString::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute TDataStd_AsciiString::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_AsciiString::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_AsciiString::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_AsciiString::Set | ( | const TCollection_AsciiString & | S | ) |

static Standard_EXPORT Handle_TDataStd_AsciiString TDataStd_AsciiString::Set | ( | const TDF_Label & | label,
|  | const TCollection_AsciiString & | string
| ) | `[static]`

## Field Documentation

TCollection_AsciiString TDataStd_AsciiString::myString `[private]`

The documentation for this class was generated from the following file:

- TDataStd_AsciiString.hxx